ACL_MASK(1)

NAME
acl_mask - View or set an object's mask for right inheritance

SYNOPSIS

attr_set_fd [-vrpsbn] [-Vversion] {rights} {target-type} [file/dirname(s)]

DESCRIPTION

Using this utility you can view or set an object's general ACL mask.

OPTIONS

-v  verbose output

-r  recurse into subdirs

-p  print right names

-s  set mask, not get

-b  backup mode

-n  list valid SCD names

-V version
    supply RSBAC integer version number for upgrading

rights
    list of space-separated right names (requests and ACL specials), also request groups: R (read requests), RW (read-write), SY (system), SE (security), A (all) and S (ACL special rights)

target-type
    One of possible RSBAC target types: FILE, DIR, FIFO, SYMLINK, DEV, SCD, NETDEV NETTEMP_NT, NETTEMP, NETOBJ or FD. (FD: lets program decide between FILE, DIR, FIFO and SYMLINK, no DEV)

AUTHOR
Amon Ott <ao@rsbac.org>.